Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::exclusive_scan_fn Struct Reference

## Synopsis of methods
constexpr view< exclusive_scan_fn > | exclusive_scan {}

## Public Member Functions
template<typename Rng , typename T , typename Fun = plus>
auto | operator() (Rng &&rng, T init, Fun fun=Fun{}) const -> exclusive_scan_view< all_t< Rng >, T, Fun > requires ExclusiveScanConstraint< Rng, T, Fun >